function that=plus(arg1,arg2)
% add matrix and constant
% or
% add matrices

if strcmp(class(arg1),'deflate')
    %initialize with arg1
    that=emptycopy(arg1);
    if strcmp(class(arg2),'deflate') 
        if ~isequalsize(arg1,arg2)
            %add 2 deflated matrices
            error('Adding matrices of different size not allowed');
        end
        that.data=arg1.data+arg2.data;
    else
        that.data=arg1.data+arg2(:);
    end
else
    %initialize with arg2
    that=emptycopy(arg2);
    that.data=arg1(:)+arg2.data;
end

