function N=numel(obj)
%  deflatev/numel - return number of elements of deflated vector

% number of segments:                 length(obj.segment)
% number of elements per segment:     obj.segmentSize
% number of elements in last segment: diff(obj.segment(end).range)+1
if isempty(obj.segment)
    N=0;
else
    N=(length(obj.segment)-1)*obj.segmentSize+...
        double(obj.segment(end).range(2));
end
