function that=execute(fp,varargin)
%implement arg1-arg2
% if nargin==0
%     a=deflate(eye(4));
%     res=full(execute(@difmat,a,a))
%     return
% end
% function r=difmat(a,b)
% r=a-b;

for k=1:length(varargin)
    if ~strcmp(class(varargin{k}),'deflate')
        error('In call "execute" all except first argument must be deflated matrices');
    end
    sz=size(varargin{k});
    while length(sz)>1&& sz(end)==1
        %remove singleton dimension at end
        sz(end)=[];
    end
    if k>1 && ~is_eq(sz,SZ);
        error('In call "execute" all deflated vectors must have equal size');
    end
    SZ=sz;
end

%initialize object with correct size
that=emptycopy(varargin{1});

%collect datavector-content
for k=1:length(varargin)
    dat{k}=varargin{k}.data;
end
%do computation on elements
that.data=execute(fp,dat{:});

