function tf = sortedindex(a)
%equivalent to isssorted, but works for integer vector, without expanding
%to double

tf = true;
numelA = length(a);
if numel(a)~=numelA
    error('MATLAB:issorted:AvectorOrRowsFlag',...
        'A must be a vector or ''rows'' must be specified.');
end


% FOR loop breaks if it encounters something out of order
for i = 1:numelA-1
    if ~(a(i) <= a(i+1))
        tf = false;
        break
    end
end

